#!/bin/bash
src="/home/s"
dest="/home/adhomes"


cd $src
for dir in $src/*; do
    base=$(basename $dir)
    echo $base
    if [ -L "$base" ]; then
        echo "Skipping $base as it is a simlink"
        continue;
    fi
    for sub in groupes perso .ftp; do
        mv $base/$sub/* $dest/$base/$sub
        mv $base/$sub/.* $dest/$base/$sub
        rmdir $base/$sub
    done
    rmdir $base
    ln -s $dest/$base
done
$(dirname $0)/setfacl.sh
