#!/bin/bash

# Copyright (C) 2018  Tetras Libre <Contact@Tetras-Libre.fr>
# Author: Beniamine, David <David.Beniamine@Tetras-Libre.fr>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

conf_dir="/etc/registry"
conf_file="$conf_dir/hosts"
cp $conf_file $conf_file.old
while read line
do
    if [ ! -z "$line" ] && \
        [ "$(echo $line | cut -d ' ' -f 1)" -gt "$(date -d '-3 weeks' +%Y%m%d)" ]
        then
            LINES="$LINES\n$line"
        fi
    done < $conf_file
    echo -e $LINES  | sed 1d > $conf_file
