#!/bin/bash
ECOLES="alphonse-daudet ampere anatole-france anthoard bajatiere beauvert bizanet christophe-turc-vm christophe-turc-vo clemenceau diderot elisee-chatin ferdinand-buisson grand-chatelet houille-blanche jean-jaures joseph-vallier jules-ferry fontaine lac verderet leon-jouhaux buttes trembles liberation lucie-aubrac malherbe menon-sg menon-sh nicolas-chorier paul-bert paul-painleve saint-laurent sidi-brahim simone-lagrange"
for e in $ECOLES
do
    echo "Retrieving logs for $e"
    file=$(ssh  -o "StrictHostKeyChecking=no"  root@$e.ecole.grenoble.fr \
        ssh partage ls -ltr /var/log/ | grep 'upgrade_all' \
        | tail -n 1 | rev | cut -d ' ' -f 1 | rev)
    ssh -o "StrictHostKeyChecking=no" root@$e.ecole.grenoble.fr ssh partage cat /var/log/$file > $e.log
done

